ubuntu 14.x 开启 http2 注意事项

ubuntu 14.x 默认打包的是 nginx 1.4.x , openssl 1.0.1 , 此时仅仅升级 nginx 的话, 是不能开启 http2. 自己将 openssl 高版本编译进 nginx 略费时, 建议直接使用 ppa 的源.

按以下步骤可保成功:

sudo apt-get remove nginx-common
sudo apt-get install software-properties-common
sudo add-apt-repository ppa:nginx/stable
sudo apt-get update
sudo apt-get install nginx

验证: nginx -V
即可查 nginx 及编译的 openssl 版本